.\" $Revision: 1.19 $
.TH INNXMIT 8
.SH NAME
innxmit \- send Usenet articles to a remote NNTP server
.SH SYNOPSIS
.I innxmit
[
.BI \-A " alt_spool"
]
[
.B \-a
]
[
.B \-c
]
[
.B \-d
]
[
.B \-l
]
[
.B \-M
]
[
.B \-r
]
[
.B \-s
]
[
.BI \-t " timeout"
]
[
.BI \-T " timeout"
]
[
.B \-p
]
[
.B \-S
]
[
.BI \-P " portnum"
]
.I host
.I file
.SH DESCRIPTION
.I Innxmit
connects to the NNTP server at the specified
.I host
and sends it the articles specified in the batchfile named
.IR file .
It is normally invoked by a script run out of
.IR cron (8)
that uses
.IR shlock (1)
to lock the host name, followed by a
.IR ctlinnd (8)
command to flush the batchfile.
.PP
If the
.I file
is not an absolute pathname, it is taken relative to the
.\" =()<.I @<_PATH_BATCHDIR>@>()=
.I /var/news/spool/out.going
directory.
It is normally written by specifying the ``Wnm'' flags in the
.IR newsfeeds (5)
file.
Each line in the batchfile should be in one of the following formats:
.PP
.RS
.nf
filename Message-ID
filename
.fi
.RE
.PP
The
.I filename
field names the article to be sent.
If it is not an absolute pathname it is taken relative to the news
spool directory,
.\" =()<.IR @<_PATH_SPOOL>@ .>()=
.IR /var/news/spool/articles .
If the
.I Message-ID
field is not specified, it will be obtained by scanning the article.
The
.I filename
and
.I Message-Id
fields are separated by a space.
.PP
If a communication error such as a
.IR write (2)
failure occurs,
.I innxmit
will stop sending and rewrite the batchfile to contain the current
article and any other unsent articles.
.SH OPTIONS
.TP
.B \-t
.I Innxmit
normally blocks until the connection is made.
To specify a timeout on how long to try to make the connection, use 
the ``\fB\-t\fP''
flag.
.TP
.B \-T
To specify the total amount of time that should be allowed for article
transfers, use the ``\fB\-T\fP'' flag.
The default is to wait until an I/O error occurs, or all the articles have
been transferred.
If the ``\fB\-T\fP'' flag is used, the time is checked just before an article
is started; it will not abort a transfer that is in progress.
Both values are measured in seconds.
.TP
.B \-P
To specify a port number other than the default, use the \-P flag.
.TP
.B \-r
If the remote server sends an unexpected reply code,
.I innxmit
will requeue the article and proceed.
Use the ``\fB\-r\fP'' flag if the article should not be requeued.
.TP
.B \-v
Upon exit,
.I innxmit
reports transfer and CPU usage statistics via
.IR syslog (3).
If the ``\fB\-v\fP'' flag is used, they will also be printed on the standard
output.
.TP
.B \-a
If all articles were sent successfully,
.I innxmit
will remove the batchfile, otherwise it will rewrite it to contain the
list of unsent articles.
If no articles were sent or rejected, the file is left untouched.
This can cause the batchfile to grow excessively large if many articles
have been expired and there are communication problems.
To always rewrite the batchfile, use the ``\fB\-a\fP'' flag.
.TP
.B \-p
If the ``\fB\-p\fP'' flag is given, then no connection is made and the batchfile
is purged of entries that refer to files that no longer exist.
This implies the ``\fB\-a\fP'' flag.
.TP
.B \-S
If the ``\fB\-S\fP'' flag is given, then
.I innxmit
will offer articles to the specified host using the
.I "``xreplic''"
protocol extension described in
.IR innd (8).
The ``\-S'' flag implies ``-s'', since streaming is not supported
in the xreplic protocol.
To use this flag, the input file must contain the history data (commas
are transliterated to spaces by the server).
In order for this flag to be used, the input must contain the necessary
history entries.
This is usually done by setting up a ``WnR'' entry in the
.I newsfeeds
file.
.TP
.B \-d
Use the ``\fB\-d\fP'' flag to print debugging information on standard error.
This will show the protocol transactions between
.I innxmit
and the NNTP server on the remote host.
.TP
.B \-l
The ``\fB\-l\fP'' flag is used to turn off logging of reasons the remote gives
for rejecting an article.
.TP
.B \-M
If the ``\fB\-M\fP'' flag is used then
.I innxmit
will scan an article's headers before sending it.
If the article appears to be a MIME article that is not in seven-bit
format, the article will be sent in ``quoted-printable'' form.
.TP
.B \-A
The ``\fB\-A\fP'' flag may be used to specify an alternate spool directory to
use if the article is not found; this would normally be an NFS-mounted
spool directory of a master server with longer expiration times.
.TP
.B \-s
.I Innxmit
will attempt to negotiate a streaming mode extension of the NNTP
protocol with the server at connect time.
If successful it will use a slightly different protocol that enhances
throughput.
If the server does not recognize the streaming mode negotiation
.I innxmit
will revert to normal NNTP transfer mode.
Use the ``\fB\-s\fP'' flag to disable the attempt to negotiate the streaming
mode extension.
.TP
.B \-c
In streaming mode a check of each message ID is still made to avoid sending
articles already on the server.
The ``\fB\-c\fP'' flag will, if streaming mode is supported,
result in sending articles without checking.
This results in slightly greater throughput and may be appropriate when
it is known that the site could not already have the articles such as in
the case of a "leaf" site.
.SH HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.
.de R$
This is revision \\$3, dated \\$4.
..
.R$ $Id: innxmit.8,v 1.19 1996/12/10 19:20:17 brister Exp $
.SH "SEE ALSO"
ctlinnd(8),
innd(8),
newsfeeds(5),
shlock(1).
